let base = import <nixpkgs> {};

in

{ pkgs ? import (base.fetchgit { inherit (base.lib.importJSON ./nixpkgs.json) url rev sha256; }) {} }:

rec {
  koodihaaste = pkgs.haskellPackages.callPackage ./default.nix {};
  shell = pkgs.buildEnv {
    name = "shell";
    paths = [];
    buildInputs = with pkgs.haskellPackages; [
      ghcid
      hlint
      cabal-install
      (ghcWithHoogle (h: koodihaaste.buildInputs ++ koodihaaste.propagatedBuildInputs))
    ];
  };
}
